#ifndef __CONFIGPARSER_H__
#define __CONFIGPARSER_H__

#include <utility/configdirectives.h>

//! Parser fuer Konfigurationsdatei.
/*!
 * Diese Klasse parst eine Konfigurationsdatei fuer CINSim und erstellt
 * eine Tabelle von (Key,Value) Paaren.
 * 
 * @see ConfigDirectives
 * 
 * @author Matthias Kuehm <kuehmi@cs.tu-berlin.de>
 */
class ConfigParser : public ConfigDirectives
{
public:

	//! Konstruktor.
	/*!
	 * Der Konstruktor initialisiert Xerces fuer das Parsen einer
	 * Konfigurationsdatei im XML-Format.
	 */
	ConfigParser();
	
	//! Parsen einer Konfigurationsdatei.
	/*!
	 * Diese Methode parst eine Konfigurationsdatei und legt aktualisiert
	 * die interne Tabelle von (Key,Value) Paaren.
	 * 
	 * @param file Die Konfigurationsdatei im XML-Format.
	 * @return true, falls parsen erfolgreich.
	 */
	bool parseFile(const char* file);
};

#endif
