#ifndef __PARSERIMPL__
#define __PARSERIMPL__

#include "parser.h"

double mp_cot  (double);
double mp_csc  (double);
double mp_sec  (double);
double mp_sign (double);

struct init
{
    char *fname;
    double (*fnct)(double);
};

struct initc
{
    char *cname;
    double cvalue;
};


class ParserImpl : public Parser
{
public:
    ParserImpl();
	virtual void yyerror(char*);
	virtual int yylex();
	void parse();
	void parse(char *);


private:
        symrec *putsym (char*, int);
        symrec *getsym (char*);

        /* The symbol table: a chain of `struct symrec'.  */
        symrec *sym_table;
        void initSymbolTable();
		char* stringToParse;



};

extern struct init arith_fncts[];
extern struct initc constants[];

#endif
