#ifndef __XMLSEQUENCER_H__
#define __XMLSEQUENCER_H__

#include <sequencer.h>

//#include <map>
//#include <string>


//! Initialisierung einer Simulationssequenz
class XmlSequencer : public Sequencer
{
public:

	//! Gibt das DOM Dokuemtn zurueck
	const DOMDocument* getDocument() { return _document; };


protected:

	//! Implementierung der abstrakten Methode XmlLoad::init(...)
	virtual void init();

private:

	//! Initialisierung der Variablen
	/*!
	 * Diese Methode initialisiert die Liste der Variablen der Simulationssequenz.  
	 *
	 * @param vardefs Liste von XML-Elementen vom Typ 'VarType'.
	 */
	void initVarDefs(std::vector<DOMElement*> vardefs);

	//! Initialisierung einer Variablen
	/*!
	 * Diese Methode initialisiert eine Variable.
	 *
	 * @param vardef Ein XML-Element vom Typ 'VarType'.
	 * @param varptr Pointer auf zu initialisierende Variable.
	 */
	void initVarDef(DOMElement* vardef, Sequencer::Parameter* pptr);

	//! Initialisierung der Parameter einer Simulationssequenz.
	void initSimulation(DOMElement* net);
};

#endif
